import { AfterViewInit, EventEmitter, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { NavigationService } from './ngx-ui-navigation.service';
/**
 * @export
 * @class NavigationComponent
 * @implements {OnInit}
 */
export declare class NavigationComponent implements AfterViewInit, OnInit {
    private navigationService;
    private router;
    name: string;
    selected: EventEmitter<any>;
    /**
     * Navigation holder.
     * @type {(Object | undefined)}
     * @memberof NavigationComponent
     */
    navigation: Object | undefined;
    /**
     * Creates an instance of NavigationComponent.
     * @param {NavigationService} NavigationService
     * @param {Router} router
     * @memberof NavigationComponent
     */
    constructor(navigationService: NavigationService, router: Router);
    /**
     * @memberof NavigationComponent
     */
    ngAfterViewInit(): void;
    /**
     * @memberof NavigationComponent
     */
    ngOnInit(): void;
}
